
ctrSounds = {}

ctrSounds.modName = g_currentModName


function ctrSounds.prerequisitesPresent(specializations)
     return SpecializationUtil.hasSpecialization(Cutter, specializations)
end

function ctrSounds.registerEventListeners(vehicleType)
    SpecializationUtil.registerEventListener(vehicleType, "onLoad",   ctrSounds)
    SpecializationUtil.registerEventListener(vehicleType, "onDelete", ctrSounds)
    SpecializationUtil.registerEventListener(vehicleType, "onUpdate", ctrSounds)
end

function ctrSounds:onLoad(savegame)
    local spec = self.spec_cutter
	local spec_turnOn = self.spec_turnOnVechicle
 
    if self.isClient then
         spec.Sounds = {}
         spec.Sounds.work = g_soundManager:loadSampleFromXML(self.xmlFile, "vehicle.cutter.sounds", "work", self.baseDirectory, self.components, 0, AudioGroup.VEHICLE, self.i3dMappings, self)
         spec.isWorkSamplePlaying = false   
		 
    end
end

function ctrSounds:onDelete()
    if self.isClient then
        local spec = self.spec_cutter
        g_soundManager:deleteSamples(spec.Sounds)
    end
end

function ctrSounds:onUpdate(dt, isActiveForInput, isActiveForInputIgnoreSelection, isSelected)
    local spec = self.spec_cutter

    if self.isClient then
         spec.isWorking = self:getIsTurnedOn()

            if spec.isWorking then
            if not spec.isWorkSamplePlaying then
                g_soundManager:playSample(spec.Sounds.work)
                spec.isWorkSamplePlaying = true
            end
        else
             if spec.isWorkSamplePlaying then
                g_soundManager:stopSample(spec.Sounds.work)
                spec.isWorkSamplePlaying = false
            end
        end
    end
end






