
modCombine = {}

modCombine.modName = g_currentModName


function modCombine.prerequisitesPresent(specializations)
   return SpecializationUtil.hasSpecialization(Combine, specializations)
end

function modCombine.registerEventListeners(vehicleType)
    SpecializationUtil.registerEventListener(vehicleType, "onLoad",   modCombine)
    SpecializationUtil.registerEventListener(vehicleType, "onDelete", modCombine)
    SpecializationUtil.registerEventListener(vehicleType, "onUpdate", modCombine)
end

function modCombine:onLoad(savegame)
    local spec = self.spec_combine
 
    if self.isClient then
         spec.Sounds = {}
         spec.Sounds.work = g_soundManager:loadSampleFromXML(self.xmlFile, "vehicle.combine.sounds", "chopper", self.baseDirectory, self.components, 0, AudioGroup.VEHICLE, self.i3dMappings, self)
         spec.isWorkSamplePlaying = false   
    end
end

function modCombine:onDelete()
    if self.isClient then
        local spec = self.spec_combine
        g_soundManager:deleteSamples(spec.Sounds)
    end
end

function modCombine:onUpdate(dt, isActiveForInput, isActiveForInputIgnoreSelection, isSelected)
    local spec = self.spec_combine

    if self.isClient then
         spec.isWorking = self:getIsTurnedOn() and not spec.isSwathActive

            if spec.isWorking then
            if not spec.isWorkSamplePlaying then
                g_soundManager:playSample(spec.Sounds.work)
                spec.isWorkSamplePlaying = true
            end
        else
             if spec.isWorkSamplePlaying then
                g_soundManager:stopSample(spec.Sounds.work)
                spec.isWorkSamplePlaying = false
            end
        end
    end
end





